import request from '@/utils/request'

// 查询直播主播列表
export function listLiveAnchor(query) {
  return request({
    url: '/service/liveAnchor/list',
    method: 'get',
    params: query
  })
}

// 查询直播主播详细
export function getLiveAnchor(id) {
  return request({
    url: '/service/liveAnchor/' + id,
    method: 'get'
  })
}

// 新增直播主播
export function addLiveAnchor(data) {
  return request({
    url: '/service/liveAnchor',
    method: 'post',
    data: data
  })
}

// 修改直播主播
export function updateLiveAnchor(data) {
  return request({
    url: '/service/liveAnchor',
    method: 'put',
    data: data
  })
}

// 删除直播主播
export function delLiveAnchor(id) {
  return request({
    url: '/service/liveAnchor/' + id,
    method: 'delete'
  })
}
